@echo off
cls
echo     Ŀ
echo                                                   
echo              MicroTouch DOS Touchscreen           
echo                                                   
echo                      Version 3.4                          
echo                                                   
echo                 I N S T A L L A T I O N           
echo                                                   
echo     
echo.
if "%1" == "" goto error1
if "%2" == "" goto error1
if not exist %1\dosnstl.exe  goto error2
goto contin

:error1
echo To install the DOS Touchscreen driver, please specify the 
echo source drive and destination path (drive and subdirectory).
echo     Ŀ
echo           For example:  INSTALL A: C:\MTS\TOUCH     
echo     
echo.
echo Please try again.
goto badend

:error2
echo The files required for the installation of the DOS Touch
echo Screen were not found on this disk.  Please verify the 
echo disk and respecify the source drive and destination path.
echo NOTE: You must specify full path names.
echo     Ŀ
echo           For example:  INSTALL A: C:\MTS\TOUCH     
echo     
echo.
echo Please try again.
goto badend

:contin
echo.
%1\mtques.exe /Q"About to copy DOS Touchscreen software from %1 to %2." /AContinue,Exit
if errorlevel 2 goto badend
if errorlevel 1 goto start
goto badend 

:start
if exist %2\dostouch.exe goto skip1
%1\mtpath.exe /D%2
if errorlevel 1 goto skip1

echo Invalid destination path specified, unable to create the
echo destination directory %2. 
echo.
echo Please check destination path specification and try again.
echo     Ŀ
echo           For example:  INSTALL A: C:\MTS\TOUCH     
echo     
echo.
echo Please try again.
goto badend

:skip1
echo.
c:
cd\
md ~mts.~ts
cd ~mts.~ts
%1\dosnstl
copy *.exe %2 > nul
copy *.hlp %2 > nul
copy *.ovl %2 > nul
copy readme.txt %2 > nul

REM Only copy the ini file for new installations
if exist %2\dostouch.ini goto config

copy dostouch.ini %2

:config
del *.exe > nul
del *.hlp > nul
del *.ovl > nul
del readme.txt > nul
del dostouch.ini > nul
cd..
rd ~mts.~ts

cls
%2\mtconfig.exe /B9600 /L%2 /U

if not errorlevel 1 goto error3 

if exist C:\AUTOEXEC.BAT goto auto
cls
echo.
echo Your AUTOEXEC.BAT file was not found. If you want your 
echo PC to load the Touchscreen driver at startup add the
echo following line to your AUTOEXEC.BAT:  
echo    %2\dostouch
goto okend

:auto
echo.
echo The DOS Touchscreen driver can be loaded at startup
echo by adding the following line to your AUTOEXEC.BAT file.
echo    %2\dostouch

%1\mtques.exe /Q"Do you want the Install program to update the AUTOEXEC.BAT file?" /AYes,No
 
if errorlevel 2 goto okend
if errorlevel 1 goto update
goto error3 

:update
if exist %2\touch.bat del %2\touch.bat
copy c:\autoexec.bat c:\autoexec.bak > nul
echo. >> %2\touch.bat
echo %2\dostouch >> %2\touch.bat
copy c:\autoexec.bak+%2\touch.bat c:\autoexec.bat > nul
del %2\touch.bat > nul
cls
echo.
echo The AUTOEXEC.BAT file has been updated to load the DOS
echo Touchscreen driver on PC startup.  A copy of the old 
echo AUTOEXEC file has been saved as AUTOEXEC.BAK.
echo.
goto okend

:error3
cls
echo Unable to fully complete the automatic Touchscreen
echo configuration process. 
echo.
goto badend

:badend
echo     Ŀ
echo         Installation process terminated    
echo     
goto end

:okend
cls
echo.
echo.
echo.
echo.
echo.
echo     Ŀ
echo           Installation process completed!         
echo     

:end
